<?php
# 定义父节点的类型、属性等（整个page的节点）
$html->parent = array('ul', 'class="pagination layui-box layui-laypage layui-laypage-default" style="display:inline-flex;"');
# 定义子节点的类型、属性等（每个page的节点）
$html->child = array('li', 'class=""');
# 定义上一页的名称、样式
$html->prev = array('上一页', 'btn p1 layui-laypage-prev');
# 定义下一页的名称、样式
$html->next = array('下一页', 'btn p2 layui-laypage-next');
# 定义每个页数的样式，当前页的样式 样式写在哪 是否和旧样式共用
$html->page = array('layui-laypage-curr', 'dever_page_disabled layui-disabled', '');
# 定义开始页
$html->start = array('首页', 'layui-laypage-first');
# 定义结束页
$html->end = array('末页', 'layui-laypage-last');
# 定义跳转页
$html->jump = '<li class="layui-laypage-skip"><input type="text" class="form-control" id="dever_page" style="margin-top:0px;width:50px;font-size: 12px;" value="'.$page->current().'" onclick="$(this).val(\'\')"/><a href="javascript:;" style="float:right;" class="" {click}>跳转</a></li><li><span class="layui-laypage-count">每页 '.$page->num.' 条，共 '.$page->total.' 条</span></li>';

# 定义扩展信息
$html->ext = '';
# 生成
$html->create();
